org.apache.uima.jcas.cas

## Class FSHashSet<T extends TOP>

- java.lang.Object
- - org.apache.uima.cas.impl.FeatureStructureImplC
  - - org.apache.uima.jcas.cas.TOP
    - - org.apache.uima.jcas.cas.FSHashSet<T>

- All Implemented Interfaces:
    Cloneable, Iterable<T>, Collection<T>, RandomAccess, Set<T>, FeatureStructure, FeatureStructureImpl, SelectViaCopyToArray, UimaSerializable, UimaSerializableFSs
  Direct Known Subclasses:
    FSLinkedHashSet

      public class FSHashSet<T extends TOP>
      extends TOP
      implements UimaSerializableFSs, SelectViaCopyToArray, Set<T>, RandomAccess, Cloneable

  a hash set of Feature Structures Is Pear aware - stores non-pear versions but may return pear version in pear contexts Updated by JCasGen Fri Jan 20 11:55:59 EST 2017 XML source: C:/au/svnCheckouts/branches/uimaj/v3-alpha/uimaj-types/src/main/descriptors/java_object_type_descriptors.xml

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

      `FeatureStructureImplC.PrintReferences`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `_FeatName_fsArray`
    `static String` | `_TypeName`
    `static int` | `type`
    `static int` | `typeIndexID`

    - ### Fields inherited from class org.apache.uima.jcas.cas.TOP

      `_singleton`

    - ### Fields inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

      `_casView, _id, DISABLE_RUNTIME_FEATURE_VALIDATION, DISABLE_RUNTIME_FEATURE_VALUE_VALIDATION, IS_ENABLE_RUNTIME_FEATURE_VALIDATION, IS_ENABLE_RUNTIME_FEATURE_VALUE_VALIDATION, IS_V2_PRETTY_PRINT, V2_PRETTY_PRINT`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FSHashSet()` Never called.
    `` | `FSHashSet(HashSet<T> set, JCas jcas)`
    `` | `FSHashSet(HashSet<T> set, JCas jcas, int length)`
    `` | `FSHashSet(HashSet<T> set, TypeImpl type, CASImpl casImpl)`
    `` | `FSHashSet(JCas jcas)`
    `` | `FSHashSet(JCas jcas, int length)` Make a new HashSet with an initial size .
    `` | `FSHashSet(TypeImpl type, CASImpl casImpl)` Internal - constructor used by generator

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `_init_from_cas_data()`
    `void` | `_save_to_cas_data()` This method is called by the framework before serialization of an instance of this JCas class.
    `FeatureStructureImplC` | `_superClone()`
    `T[]` | `_toArrayForSelect()`
    `boolean` | `add(T e)` Adds the element to the set.
    `boolean` | `addAll(Collection<? extends T> c)` Adds all the elements .
    `void` | `clear()` Clear.
    `boolean` | `contains(Object o)` Contains.
    `boolean` | `containsAll(Collection<?> c)` Contains all.
    `boolean` | `equals(Object o)` A feature structure is equal to another feature structure iff it is identical in the underlying representation.
    `int` | `getTypeIndexID()`
    `int` | `hashCode()` Will return a hash code that's consistent with equality, i.e., if two FSs are equal, they will also return the same hash code.
    `boolean` | `isEmpty()` Checks if is empty.
    `Iterator<T>` | `iterator()`
    `boolean` | `remove(Object o)` Removes the element.
    `boolean` | `removeAll(Collection<?> c)`
    `boolean` | `retainAll(Collection<?> c)` Retain all.
    `int` | `size()` Size.
    `Spliterator<T>` | `spliterator()` Spliterator.
    `T[]` | `toArray()`
    `<N> N[]` | `toArray(N[] a)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.uima.jcas.cas.TOP

      `_createJCasHashMapReserve, _createSearchKey`

    - ### Methods inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

      `_copyIntAndRefArraysEqTypesFrom, _copyIntAndRefArraysFrom, _copyIntArrayEqTypesFrom, _getBooleanValueNc, _getBooleanValueNc, _getByteValueNc, _getByteValueNc, _getDoubleValueNc, _getDoubleValueNc, _getFeatFromAdjOffset, _getFeatureValueNc, _getFeatureValueNc, _getFloatValueNc, _getFloatValueNc, _getIntLikeValue, _getIntValueNc, _getIntValueNc, _getLongValueNc, _getLongValueNc, _getRefValueCommon, _getShortValueNc, _getShortValueNc, _getStringValueNc, _getStringValueNc, _getTypeCode, _getTypeImpl, _getView, _id, _inSetSortedIndex, _isJCasHashMapReserve, _isPearTrampoline, _maybeGetBaseForPearFs, _maybeGetBaseForPearFs, _maybeGetPearFs, _maybeGetPearFs, _resetInSetSortedIndex, _setBooleanValueNcNj, _setBooleanValueNcNj, _setBooleanValueNfc, _setByteValueNcNj, _setByteValueNcNj, _setByteValueNfc, _setDoubleValueNcNj, _setDoubleValueNcNj, _setDoubleValueNfc, _setFeatureValueNcNj, _setFeatureValueNcNj, _setFeatureValueNcWj, _setFloatValueNcNj, _setFloatValueNcNj, _setFloatValueNfc, _setInSetSortedIndexed, _setIntLikeValue, _setIntLikeValueNcNj, _setIntValueCJ, _setIntValueNcNj, _setIntValueNcNj, _setIntValueNfc, _setIntValueNfcCJ, _setJCasHashMapReserve, _setLongValueCJ, _setLongValueNcNj, _setLongValueNcNj, _setLongValueNfc, _setLongValueNfcCJ, _setPearTrampoline, _setRefValueCJ, _setRefValueCommon, _setRefValueCommonWj, _setRefValueNfcCJ, _setShortValueNcNj, _setShortValueNcNj, _setShortValueNfc, _setStringValueNcNj, _setStringValueNcWj, _setStringValueNfc, _setTypeImpl, addStringOrPrimitive, addToIndexes, addToIndexes, addToIndexes, clone, compare, getAddress, getBooleanValue, getByteValue, getCAS, getCASImpl, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getLowLevelCas, getShortValue, getStringValue, getType, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrintShort, removeFromIndexes, removeFromIndexes, removeFromIndexes, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue, toShortString, toString, wrapGetIntCatchException`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.UimaSerializableFSs

      `_save_fsRefs_to_cas_data`

    - ### Methods inherited from interface org.apache.uima.UimaSerializable

      `_reset_cas_data, clone`

    - ### Methods inherited from interface org.apache.uima.jcas.cas.SelectViaCopyToArray

      `_getView, select, select, select, select, select`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface org.apache.uima.cas.FeatureStructure

      `getJCas`

- - ### Field Detail

    - #### _TypeName

          public static final String _TypeName

      See Also:
        Constant Field Values

    - #### typeIndexID

          public static final int typeIndexID

    - #### type

          public static final int type

    - #### _FeatName_fsArray

          public static final String _FeatName_fsArray

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FSHashSet

          protected FSHashSet()

      Never called. Disable default constructor

    - #### FSHashSet

          public FSHashSet(TypeImpl type,
                           CASImpl casImpl)

      Internal - constructor used by generator
      Parameters:
        `casImpl` - the CAS this Feature Structure belongs to
        `type` - the type of this Feature Structure

    - #### FSHashSet

          public FSHashSet(HashSet<T> set,
                           TypeImpl type,
                           CASImpl casImpl)

    - #### FSHashSet

          public FSHashSet(JCas jcas)

      Parameters:
        `jcas` - JCas to which this Feature Structure belongs

    - #### FSHashSet

          public FSHashSet(HashSet<T> set,
                           JCas jcas)

    - #### FSHashSet

          public FSHashSet(JCas jcas,
                           int length)

      Make a new HashSet with an initial size .
      Parameters:
        `jcas` - The JCas
        `length` - initial size

    - #### FSHashSet

          public FSHashSet(HashSet<T> set,
                           JCas jcas,
                           int length)

  - ### Method Detail

    - #### getTypeIndexID

          public int getTypeIndexID()

      Overrides:
        `getTypeIndexID` in class `TOP`
      Returns:
        index of the type

    - #### _init_from_cas_data

          public void _init_from_cas_data()

      Specified by:
        `_init_from_cas_data` in interface `UimaSerializable`

    - #### _save_to_cas_data

          public void _save_to_cas_data()

      Description copied from interface: `UimaSerializable`
      This method is called by the framework before serialization of an instance of this JCas class. The implementation should save whatever data is needed into Features of this JCas class that can be serialized by UIMA.
      Specified by:
        `_save_to_cas_data` in interface `UimaSerializable`

    - #### _toArrayForSelect

          public T[] _toArrayForSelect()

      Specified by:
        `_toArrayForSelect` in interface `SelectViaCopyToArray`

    - #### _superClone

          public FeatureStructureImplC _superClone()

      Specified by:
        `_superClone` in interface `UimaSerializable`

    - #### equals

          public boolean equals(Object o)

      Description copied from interface: `FeatureStructure`
      A feature structure is equal to another feature structure iff it is identical in the underlying representation.
      Specified by:
        `equals` in interface `Collection<T extends TOP>`
      Specified by:
        `equals` in interface `Set<T extends TOP>`
      Specified by:
        `equals` in interface `FeatureStructure`
      Overrides:
        `equals` in class `FeatureStructureImplC`

    - #### hashCode

          public int hashCode()

      Description copied from interface: `FeatureStructure`
      Will return a hash code that's consistent with equality, i.e., if two FSs are equal, they will also return the same hash code.
      Specified by:
        `hashCode` in interface `Collection<T extends TOP>`
      Specified by:
        `hashCode` in interface `Set<T extends TOP>`
      Specified by:
        `hashCode` in interface `FeatureStructure`
      Overrides:
        `hashCode` in class `FeatureStructureImplC`
      Returns:
        The hash code.

    - #### toArray

          public T[] toArray()

      Specified by:
        `toArray` in interface `Collection<T extends TOP>`
      Specified by:
        `toArray` in interface `Set<T extends TOP>`

    - #### removeAll

          public boolean removeAll(Collection<?> c)

      Specified by:
        `removeAll` in interface `Collection<T extends TOP>`
      Specified by:
        `removeAll` in interface `Set<T extends TOP>`

    - #### toArray

          public <N> N[] toArray(N[] a)

      Specified by:
        `toArray` in interface `Collection<T extends TOP>`
      Specified by:
        `toArray` in interface `Set<T extends TOP>`

    - #### iterator

          public Iterator<T> iterator()

      Specified by:
        `iterator` in interface `Iterable<T extends TOP>`
      Specified by:
        `iterator` in interface `Collection<T extends TOP>`
      Specified by:
        `iterator` in interface `Set<T extends TOP>`

    - #### size

          public int size()

      Size.
      Specified by:
        `size` in interface `Collection<T extends TOP>`
      Specified by:
        `size` in interface `Set<T extends TOP>`
      Returns:
        the int
      See Also:
        `HashSet.size()`

    - #### isEmpty

          public boolean isEmpty()

      Checks if is empty.
      Specified by:
        `isEmpty` in interface `Collection<T extends TOP>`
      Specified by:
        `isEmpty` in interface `Set<T extends TOP>`
      Returns:
        true, if is empty
      See Also:
        `HashSet.isEmpty()`

    - #### contains

          public boolean contains(Object o)

      Contains.
      Specified by:
        `contains` in interface `Collection<T extends TOP>`
      Specified by:
        `contains` in interface `Set<T extends TOP>`
      Parameters:
        `o` - the o
      Returns:
        true, if successful
      See Also:
        `HashSet.contains(java.lang.Object)`

    - #### add

          public boolean add(T e)

      Adds the element to the set.
      Specified by:
        `add` in interface `Collection<T extends TOP>`
      Specified by:
        `add` in interface `Set<T extends TOP>`
      Parameters:
        `e` - the element to add
      Returns:
        true, if the set didn't already contain this element
      See Also:
        `HashSet.add(java.lang.Object)`

    - #### remove

          public boolean remove(Object o)

      Removes the element.
      Specified by:
        `remove` in interface `Collection<T extends TOP>`
      Specified by:
        `remove` in interface `Set<T extends TOP>`
      Parameters:
        `o` - the o
      Returns:
        true, if the set contained the element
      See Also:
        `HashSet.remove(java.lang.Object)`

    - #### clear

          public void clear()

      Clear.
      Specified by:
        `clear` in interface `Collection<T extends TOP>`
      Specified by:
        `clear` in interface `Set<T extends TOP>`
      See Also:
        `HashSet.clear()`

    - #### containsAll

          public boolean containsAll(Collection<?> c)

      Contains all.
      Specified by:
        `containsAll` in interface `Collection<T extends TOP>`
      Specified by:
        `containsAll` in interface `Set<T extends TOP>`
      Parameters:
        `c` - the c
      Returns:
        true, if set contains all of the elements in c
      See Also:
        `AbstractCollection.containsAll(java.util.Collection)`

    - #### addAll

          public boolean addAll(Collection<? extends T> c)

      Adds all the elements .
      Specified by:
        `addAll` in interface `Collection<T extends TOP>`
      Specified by:
        `addAll` in interface `Set<T extends TOP>`
      Parameters:
        `c` - the c
      Returns:
        true, if set changed
      See Also:
        `AbstractCollection.addAll(java.util.Collection)`

    - #### spliterator

          public Spliterator<T> spliterator()

      Spliterator.
      Specified by:
        `spliterator` in interface `Iterable<T extends TOP>`
      Specified by:
        `spliterator` in interface `Collection<T extends TOP>`
      Specified by:
        `spliterator` in interface `Set<T extends TOP>`
      Returns:
        the spliterator
      See Also:
        `HashSet.spliterator()`

    - #### retainAll

          public boolean retainAll(Collection<?> c)

      Retain all.
      Specified by:
        `retainAll` in interface `Collection<T extends TOP>`
      Specified by:
        `retainAll` in interface `Set<T extends TOP>`
      Parameters:
        `c` - the c
      Returns:
        true, if collection changed
      See Also:
        `AbstractCollection.retainAll(java.util.Collection)`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `FeatureStructureImplC`

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.